# Algocraft

**Algocraft** is a Python package that provides efficient and easy-to-use implementations of classic algorithms, including searching, sorting, dynamic programming, graph algorithms, and more. Designed to be a comprehensive library, **Algocraft** offers a wide range of fundamental algorithms commonly used in computer science, making it a go-to toolkit for both learning and practical applications.

## Features

### **Sorting Algorithms**
- Bubble Sort
- Merge Sort
- Quick Sort
- Heap Sort
- Strassen's Matrix Multiplication

### **Search Algorithms**
- Binary Search
- Linear Search

### **Dynamic Programming**
- Fibonacci Sequence
- Knapsack Problem

### **Graph Algorithms**
- Dijkstra's Algorithm
- Floyd-Warshall Algorithm

### **Miscellaneous Algorithms**
- Topological Sort
- Tower of Hanoi
- 8-Queens Problem
- Simplex Method

## Installation

You can install the `algocraft` package via `pip` from the Python Package Index (PyPI):

```bash
pip install algocraft
